Admob を最新版にしても Validate 時に UDID のエラーが出る場合

最近 Organizer の Validate 時に、UDIDを使っていると以下の UDID のエラーが出るようになりました。

Apps are not permitted to access the UDID and must not use the uniqueIdentifier method of UIDevice. Please update your apps and servers to associate users with the Vendor or Advertising identifiers introduced in iOS 6. If method names in your source code match the private Apple APIs listed above, altering your method names will help prevent this app from being flagged in future submissions. In addition, note that one or more of the above APIs may be located in a static library that was included with your app. If so, they must be removed.

If you think this message was sent in error and that you have only used Apple-published APIs in accordance with the guidelines, send the app’s nine-digit Apple ID, along with detailed information about why you believe the above APIs were incorrectly flagged, to appreview@apple.com. For further information, visit the Technical Support Information page.

Once these issues have been corrected, go to the Version Details page and click “Ready to Upload Binary.” Continue through the submission process until the app status is “Waiting for Upload.” You can then deliver the corrected binary.

今回アップデートの申請をするときにこのエラーが出てきました。調べたところ、古いバージョンの AdMob を使っているとダメらしいです。

で、AdMob を最新版(6.4.1)にして再度 Validate すると、またしてもエラーが。。なんでや。。

結論としては、下記サイトにあるように、”Build Settings” の “Library Search Paths” から古いバージョンのAdMobのパスを削除すればよいです。普段この設定はそんなにいじらないので、かなりハマりました。


https://groups.google.com/forum/#!topic/google-admob-ads-sdk/WaSu6SeQMxQ

カテゴリー: Blog

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です